std::scoped_allocator_adaptor::operator=(3)

NAME
std::scoped_allocator_adaptor::operator= - std::scoped_allocator_adaptor::operator=

Synopsis
   Defined in header <scoped_allocator>
   scoped_allocator_adaptor& operator=(const scoped_allocator_adaptor& other) = (1)
   default;
   scoped_allocator_adaptor& operator=(scoped_allocator_adaptor&& other) = (2)
   default;
   1) Explicitly defaulted copy assignment operator that copy assigns the base class
   (OuterAlloc, the outer allocator) and all inner allocators.
   2) Explicitly defaulted move assignment operator that move assigns the base class
   (OuterAlloc, the outer allocator) and all inner allocators.

Parameters
   other - another std::scoped_allocator_adaptor